%define oname gtk-sharp
%define monodir %_prefix/lib/mono

Summary:	C# language binding for the gtk+ 3.0 toolkit
Name:		gtk-sharp3
Version:	2.99.0
Release:	%mkrel 2
License:	LGPLv2
Group:		Development/C#
URL:		http://gtk-sharp.sourceforge.net/
Source0:	http://ftp.gnome.org/pub/gnome/sources/gtk-sharp/2.99/%{oname}-%{version}.tar.xz
BuildRequires: pkgconfig(atk)
BuildRequires: pkgconfig(gio-2.0) >= 2.28.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires: pkgconfig(mono) >= 2.8
BuildRequires: pkgconfig(pango)
BuildRequires:	monodoc

%description
Gtk-sharp is a C# language binding for the gtk+ 3.0 toolkit.

%package devel
Summary: C# code generation tools for %name
Group: Development/C#
Requires: %{name} = %{version}

%description devel
This contains the code generation tools of gtk-sharp. It is needed for building
C# wrappers for GObject APIs.

%package -n glib-sharp3
Summary:        C# binding for glib
Group:          Development/C#

%description -n glib-sharp3
Glib-sharp is a C# language binding for glib.

%package -n atk-sharp3
Summary:        C# binding for atk
Group:          Development/C#

%description -n atk-sharp3
Atk-sharp is a C# language binding for atk.

%package -n cairo-sharp3
Summary:	C# binding for cairo
Group:		Development/C#

%description -n cairo-sharp3
Cairo-sharp is a C# language binding for cairo.

%package -n pango-sharp3
Summary:        C# binding for pango
Group:          Development/C#

%description -n pango-sharp3
Pango-sharp is a C# language binding for pango.

%package doc
Summary:	Documentation for gtk-sharp
Group:		Development/C#
BuildArch:	noarch
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description doc
Gtk-sharp is a C# language binding for the  gtk+ toolkit.
This package provides documentation for gtk-sharp. 

%prep
%setup -q -n %oname-%version

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%files
%{monodir}/gac/gdk-sharp
%{monodir}/gac/gtk-dotnet
%{monodir}/gac/gtk-sharp
%{monodir}/gtk-sharp-3.0/gdk-sharp.dll
%{monodir}/gtk-sharp-3.0/gtk-dotnet.dll
%{monodir}/gtk-sharp-3.0/gtk-sharp.dll
%{_libdir}/libgtksharpglue-3.so
%{_libdir}/pkgconfig/gtk-dotnet-3.0.pc
%{_libdir}/pkgconfig/gtk-sharp-3.0.pc

%files -n glib-sharp3
%{monodir}/gac/gio-sharp
%{monodir}/gac/glib-sharp
%{monodir}/gtk-sharp-3.0/gio-sharp.dll
%{monodir}/gtk-sharp-3.0/glib-sharp.dll
%{_libdir}/libgiosharpglue-3.so
%{_libdir}/pkgconfig/gio-sharp-3.0.pc
%{_libdir}/pkgconfig/glib-sharp-3.0.pc

%files -n pango-sharp3
%{monodir}/gac/pango-sharp
%{monodir}/gtk-sharp-3.0/pango-sharp.dll
%{_libdir}/libpangosharpglue-3.so

%files -n cairo-sharp3
%{monodir}/gac/cairo-sharp
%{monodir}/gtk-sharp-3.0/cairo-sharp.dll

%files -n atk-sharp3
%{monodir}/gac/atk-sharp
%{monodir}/gtk-sharp-3.0/atk-sharp.dll
%{_libdir}/libatksharpglue-3.so

%files devel
%{_bindir}/gapi3-codegen
%{_bindir}/gapi3-fixup
%{_bindir}/gapi3-parser
%{_prefix}/lib/gapi-3.0/gapi-fixup.exe
%{_prefix}/lib/gapi-3.0/gapi-parser.exe
%{_prefix}/lib/gapi-3.0/gapi2xml.pl
%{_prefix}/lib/gapi-3.0/gapi_codegen.exe
%{_prefix}/lib/gapi-3.0/gapi_pp.pl
%{_libdir}/pkgconfig/gapi-3.0.pc
%{_datadir}/gapi-3.0/atk-api.xml
%{_datadir}/gapi-3.0/gdk-api.xml
%{_datadir}/gapi-3.0/gio-api.xml
%{_datadir}/gapi-3.0/glib-api.xml
%{_datadir}/gapi-3.0/gtk-api.xml
%{_datadir}/gapi-3.0/pango-api.xml

%files doc
%{_prefix}/lib/monodoc/sources/gtk-sharp-3-docs.source
%{_prefix}/lib/monodoc/sources/gtk-sharp-3-docs.tree
%{_prefix}/lib/monodoc/sources/gtk-sharp-3-docs.zip


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.99.0-2.mga3
+ Revision: 352851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 fwang <fwang> 2.99.0-1.mga3
+ Revision: 309887
- update file list
- update file list
- imported package gtk-sharp3

